<app-home></app-home><br>
<legend>Consultar e Cadastrar Produtos</legend>

<!--Filtro-->
<mat-form-field>
    <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Pesquisar">
</mat-form-field>

<div id="button">
    <a (click)="onAction(0)">
        <i class="material-icons" style="cursor: pointer;">add_circle</i>
    </a>
    <a (click)="onAction(1)">
        <i class="material-icons" style="cursor: pointer;">edit</i>
    </a>
    <a (click)="excluirItem()">
        <i class="material-icons" style="cursor: pointer;">delete</i>
    </a>
</div>
<div class="table-container mat-elevation-z8">
    <table id="ProdutoTable" mat-table [dataSource]="dataSource" class="mat-elevation-z8">

        <!-- Checkbox Column -->
        <ng-container matColumnDef="select">
            <th mat-header-cell *matHeaderCellDef>
                <mat-checkbox (change)="$event ? masterToggle() : null"
                    [checked]="selection.hasValue() && isAllSelected()"
                    [indeterminate]="selection.hasValue() && !isAllSelected()" [aria-label]="checkboxLabel()"
                    color='primary'>
                </mat-checkbox>
            </th>
            <td mat-cell *matCellDef="let row">
                <mat-checkbox (click)="$event.stopPropagation()" (change)="$event ? selection.toggle(row) : null"
                    [checked]="selection.isSelected(row)" [aria-label]="checkboxLabel(row)" color='primary'>
                </mat-checkbox>
            </td>
        </ng-container>

        <!-- Id Column -->
        <ng-container matColumnDef="id">
            <th mat-header-cell *matHeaderCellDef>Código Item</th>
            <td mat-cell *matCellDef="let element">{{element.id}}</td>
        </ng-container>

        <!-- Code Column -->
        <ng-container matColumnDef="codBarrasProd">
            <th mat-header-cell *matHeaderCellDef>Código Barras</th>
            <td mat-cell *matCellDef="let element">{{element.codBarrasProd}}</td>
        </ng-container>

        <!-- Desc Column -->
        <ng-container matColumnDef="descProd">
            <th mat-header-cell *matHeaderCellDef>Descrição Item</th>
            <td mat-cell *matCellDef="let element">{{element.descProd}}</td>
        </ng-container>

        <!-- Peso Column -->
        <ng-container matColumnDef="pesoProd">
            <th mat-header-cell *matHeaderCellDef>Peso Produto</th>
            <td mat-cell *matCellDef="let element">{{element.pesoProd}}</td>
        </ng-container>

        <!-- Preço Column -->
        <ng-container matColumnDef="precoUnit">
            <th mat-header-cell *matHeaderCellDef>Preço Unitário</th>
            <td mat-cell *matCellDef="let element">{{element.precoUnit | currency}}</td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: true"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns; " (click)="selection.toggle(row)"></tr>
    </table>
</div><br>

<div class="export-container">
    <button mat-raised-button color="primary" (click)="exportTable()">Exportar Excel</button>
</div>